Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List Use this API to get all agent details associated with an accountId.
FieldDetails
MethodGET
Endpointhttps://{{host}}/agentassist/api/public/analytics/account/{{Accountid}}/agents
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeWFM Integration

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
AccountIdThe unique ID associated with the account.string, required

Sample Request

curl --location 'https://{{host}}/agentassist/api/public/analytics/account/636f5b36bcf8a8c7101exxxx/agents?offset=0&limit=5' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--header 'iId: {{streamId}}' 

Header Parameters

HeaderDescriptionOptional/Required
content-typeRequest body format (application/json;charset=UTF-8)Required
authJWT authentication tokenRequired
iIdStream or application idRequired

Sample Response

[
	{
		accountId: "63fb9a0f90425b644d3exxxx",
		"agentId":"a-59bb17e-0cae-46b0-8d80-a8a8ac34xxxx",
		"firstName": "Tony",
		"lastName": "Stark"
	}
]

Response Body Parameters

ParameterDescriptionType
accountIdThe unique ID associated with the account. For example, 63fb9a0f90425b644d3ec070.String
agentIdThe unique ID of the agent. For example, a-59bb17e-0cae-46b0-8d80-a8a8ac34e55c.String
firstNameThe agent’s first name. For example, Tony.String
lastNameThe agent’s last name. For example, Stark.String